require File.join(File.dirname(__FILE__), '..', 'helpers', 'ng_option_utils')

module FormAngular
  module  Errors
    module NgInputError
      include NgOptionUtils

      def ng_input_error(wrapper_options)
        html_wrapper_options()
        nil
      end

      def has_ng_input_error
        ng_input_error.present?
      end

      def html_wrapper_options
        @options[:wrapper_html] ||= {}
        @options[:wrapper_html].merge!(
          'ng-class' => "{success:'has-success', error:'has-error'}[#{ng_form_expression}.validityClass('#{tag_name}')]"
        )
      end
    end
  end
end

SimpleForm::Inputs::Base.send(:include, FormAngular::Errors::NgInputError)
